SimpleOptionHandler
Date: 2016-06-23

org.apache.commons.net.telnet

## Class SimpleOptionHandler

- java.lang.Object
- - org.apache.commons.net.telnet.TelnetOptionHandler
  - - org.apache.commons.net.telnet.SimpleOptionHandler

-     public class SimpleOptionHandler
      extends TelnetOptionHandler

  Simple option handler that can be used for options that don't require subnegotiation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleOptionHandler(int optcode)` Constructor for the SimpleOptionHandler.
    `SimpleOptionHandler(int optcode, boolean initlocal, boolean initremote, boolean acceptlocal, boolean acceptremote)` Constructor for the SimpleOptionHandler.

  - ### Method Summary

    - ### Methods inherited from class org.apache.commons.net.telnet.TelnetOptionHandler

      `answerSubnegotiation, getAcceptLocal, getAcceptRemote, getInitLocal, getInitRemote, getOptionCode, setAcceptLocal, setAcceptRemote, setInitLocal, setInitRemote, startSubnegotiationLocal, startSubnegotiationRemote`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleOptionHandler

          public SimpleOptionHandler(int optcode,
                             boolean initlocal,
                             boolean initremote,
                             boolean acceptlocal,
                             boolean acceptremote)

      Constructor for the SimpleOptionHandler. Allows defining desired initial setting for local/remote activation of this option and behaviour in case a local/remote activation request for this option is received.

      Parameters:
        `optcode` - - option code.
        `initlocal` - - if set to true, a WILL is sent upon connection.
        `initremote` - - if set to true, a DO is sent upon connection.
        `acceptlocal` - - if set to true, any DO request is accepted.
        `acceptremote` - - if set to true, any WILL request is accepted.

    - #### SimpleOptionHandler

          public SimpleOptionHandler(int optcode)

      Constructor for the SimpleOptionHandler. Initial and accept behaviour flags are set to false

      Parameters:
        `optcode` - - option code.